GET /{serviceName}/MapServer/export
Summary: Export map image
Operation ID: exportMap
Auth: none
Operation ID: exportMap
Auth: none
Description
Generate a map image from the service
Parameters (6)
bbox
(string, query, required)
Bounding box in format xmin,ymin,xmax,ymax
format
(string, query, optional)
Output format
Constraints: {'enum': ['png', 'png8', 'png24', 'png32', 'jpg', 'pdf', 'svg', 'svgz', 'emf', 'bmp', 'gif', 'tiff']}
layers
(string, query, optional)
Layers to include (show:ids or hide:ids)
serviceName
(string, path, required)
MapServer service name
size
(string, query, optional, default: 400,400)
Image size in format width,height
transparent
(boolean, query, optional, default: True)
Allow transparency
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic map export for Gulf of Mexico region | curl |
https://www.ncei.noaa.gov/ncdc-ocean/MapServer/export?bbox=-98.0,18.0,-80.0,31.0&size=400,400&transparent=true |
|
| Export with PNG format and custom image size | curl |
https://www.ncei.noaa.gov/ncdc-ocean/MapServer/export?bbox=-125.0,32.0,-115.0,42.0&format=png&size=800,600&transparent=true |
|
| Export with layer selection for Atlantic coastal area | curl |
https://www.ncei.noaa.gov/ncdc-ocean/MapServer/export?bbox=-80.0,25.0,-60.0,45.0&layers=show:0,1,2&format=jpg&size=600,600&transparent=false |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:26:43.000014 | 404 | 690ms | |
| 2026-03-23 09:30:13.752481 | 404 | 779ms | |
| 2026-03-23 09:29:12.110951 | 404 | 878ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:30:13.752481 | 0ef904bd14fe |
0b3e6e9b1780 |
| 2026-03-23 10:26:43.000014 | 0b3e6e9b1780 |
03ede8222874 |